
Foreman - Feature #13683

[RFE] unattended_url needs to be a per-subnet setting

02/12/2016 05:33 AM - Duncan Innes

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Current use-case is a system (Satellite 6) with central Satellite server and several Capsules.  At least one Capsule is located behind

a firewall for the DMZ clients.  These clients have no sight of the Satellite or any other Capsules.  The current unattended_url is a

global setting, so we need to change it every time we prepare a deployment in a different network area.

To compound this, part of our DMZ has no DNS available, so we currently need to set the unattended_url with IP address rather than

FQDN.  This particular problem may be better solved by other means, but changing the unattended_url is our current method.  But

the IP address that we need to use is behind a firewall from most of our clients.

Allowing the unattended_url to be set on a per-subnet basis will allow us to point deployments at the relevant Capsule more easily.

Related issues:

Is duplicate of Foreman - Feature #1970: Override the foreman_url hostname New 11/22/2012

History

#1 - 02/12/2016 05:38 AM - Dominic Cleal

- Is duplicate of Feature #1970: Override the foreman_url hostname added

#2 - 02/12/2016 05:38 AM - Dominic Cleal

- Status changed from New to Duplicate

- translation missing: en.field_release deleted (123)

Feature is known already as #1970.  Please don't set the target release field on new tickets, only found in release.

#3 - 02/12/2016 07:38 AM - Duncan Innes

Sorry - thought I was setting a "version found in" field there.

Had searched issues on "unattended_url", so missed the one about "foreman_url"

#4 - 06/18/2018 07:18 AM - Lukas Zapletal

I have written an extensive post in https://bugzilla.redhat.com/show_bug.cgi?id=1307107 and made it public. Several workarounds are described

there.
